Bug 169275 - watchlists seem to be failing sometimes
Summary: watchlists seem to be failing sometimes
Status: RESOLVED CONFIGURATION CHANGED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-07 05:23 PST by Manuel Rego Casasnovas
Modified: 2019-09-18 12:53 PDT (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2017-03-07 05:23:05 PST
At least I'm finding issues with the CSS Grid Layout watchlist.

The watchlist is defined like:
        "CSSGridLayout": {
            "filename": r"Source/WebCore/rendering/.*Grid.*"
                        r"|Source/WebCore/css/.*Grid.*"
                        r"|LayoutTests/fast/css-grid-layout/"
                        r"|LayoutTests/ietestcenter/css3/grid/"
                        r"|LayoutTests/platform/.*/fast/css-grid-layout/"
                        r"|LayoutTests/platform/.*/ietestcenter/css3/grid/",
        },

And the people subscribed are @jfernandez, @svillar and me.

But in the last weeks we were not CC in some patches:
* https://bugs.webkit.org/show_bug.cgi?id=168657
* https://bugs.webkit.org/show_bug.cgi?id=169203

But I did a small test and it worked:
* https://bugs.webkit.org/show_bug.cgi?id=169073

So I'm not sure what's going on, but it'd be really nice to get this fixed.
Thanks!
Comment 1 Alexey Proskuryakov 2017-03-08 21:38:18 PST
I never looked into how the watchlist works. Is it part of style queue on EWS?
Comment 2 Lucas Forschler 2018-12-05 11:24:57 PST
the style queue runs the watch list. It is throwing errors in the logs:


style-queue_2018-12-05_07-12.log:2018-12-05 07:48:04,975 - Failed to run "['/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-misc-style', 'apply-watchlist-local', 190625]" exit_code: 1 cwd: /Volumes/Data/StyleQueue/WebKit
style-queue_2018-12-05_07-12.log:  File "/Volumes/Data/StyleQueue/WebKit/Tools/Scripts/webkitpy/tool/steps/applywatchlist.py", line 56, in run
style-queue_2018-12-05_07-12.log:2018-12-05 07:48:04,975 - Unabled to apply watchlist
Comment 3 Lucas Forschler 2018-12-05 14:21:51 PST
I looked through this a bit more, and it seems the most current errors being thrown are cases where the bugs are security bugs, and the EWS account does not have access. This is by expected. We do not want the watchlist to elevate access for security bugs.

However, the ones from Manuel are NOT security bugs. I don't have logs from that far back to investigate.

webkit-patch apply-watchlist-local bug_id -v
Comment 4 Lucas Forschler 2018-12-05 14:22:40 PST
running the above command would give some insight to why it's not working. If you could follow up with log output from running, we can diagnose more.
Comment 5 Aakash Jain 2018-12-07 11:12:04 PST
(In reply to Lucas Forschler from comment #3)
> I looked through this a bit more, and it seems the most current errors being thrown are cases where the bugs are security bugs
Watchlist was definitely having issues with Security bugs. It has been fixed in https://bugs.webkit.org/show_bug.cgi?id=190793